@use '../utils/variables' as var;

.catalog {
    background-color: var.$bgcolor;
    padding-bottom: 60px;

    @media (max-width: 768px) {
        padding-bottom: 30px;
    }
}

.catalog__title {
    margin-left: 40px;
    font-weight: var.$font-extra-bold;
    color: var.$textcolor;

    @media (max-width: 768px) {
        margin-left: 20px;
        font-size: 22px;
        margin-bottom: 5px;
    }
}

.catalog__link {
    text-decoration: none;
}

.catalog__list {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 0;
}

.catalog__item {
    margin-right: 20px;
    margin-top: 20px;
    border-radius: 10px;
    overflow: hidden;
    min-width: 400px;
    min-height: 260px;
    max-width: 300px;
    max-height: 260px;
    width: 100%;

    @media (max-width: 992px) {
        width: 300px;
        height: 195px;
        border-radius: 8px;
    }

    @media (max-width: 768px) {
        width: 250px;
        height: 162px;
        border-radius: 6px;
    }

    @media (max-width: 513px) {
        margin-left: 10px;
    }

    @media (max-width: 435px) {
        margin-left: 10px;
        min-width: 300px;
        min-height: 195px;
    }
}

.catalog__img {
    width: 100%;
    height: 100%;
}